import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/components/Login'
import StudentPage from '@/components/student/StudentPage'
import AnnotatedSubmission from '@/components/submission_notes/AnnotatedSubmission'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'grady-login',
      component: Login
    },
    {
      path: '/student/',
      name: 'student-page',
      component: StudentPage
    },
    {
      path: '/notes/',
      name: 'annotated-submission',
      component: AnnotatedSubmission
    }
  ]
})
